vec3 vpFilmGrain(vec3 color, vec2 uv, float strength, float aspect)
{
	vec2 FilmGrainCoord = uv * 2.0 - 1.0;
	FilmGrainCoord.x *= aspect;
	
	float grain= texture2D(colortex15,FilmGrainCoord * 0.5 + frameTimeCounter).r;

    grain = grain * 2.0 - 1.0;

    return color + grain * strength;
}